;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
[Command]
name = "禁千弐百拾八式・八咫烏"
command = ~D, DF, F, D, DF, F, a+b
time = 25


[Command]
name = "EX禁千弐百拾壱式・八稚女"
command = ~D, DF, F, DF, D, DB, B, x+y
time = 30

[Command]
name = "禁千弐百拾壱式・八稚女"
command = ~D, DF, F, DF, D, DB, B, y
time = 30

[Command]
name = "禁千弐百拾壱式・八稚女"
command = ~D, DF, F, DF, D, DB, B, x
time = 30


;-| Special Motions |------------------------------------------------------
[Command]
name = "EX弐百参式・槌椿"
command = ~B, DB, D, DF, F, x+y
time = 20

[Command]
name = "弐百参式・槌椿"
command = ~B, DB, D, DF, F, y
time = 20

[Command]
name = "弐百参式・槌椿"
command = ~B, DB, D, DF, F, x
time = 20


[Command]
name = "EX百弐拾九式・明烏"
command = ~D, DB, B, a+b

[Command]
name = "百弐拾九式・明烏"
command = ~D, DB, B, b

[Command]
name = "百弐拾九式・明烏"
command = ~D, DB, B, a


[Command]
name = "EX四百壱式・衝月"
command = ~D, DB, B, x+y

[Command]
name = "四百壱式・衝月"
command = ~D, DB, B, y

[Command]
name = "四百壱式・衝月"
command = ~D, DB, B, x


[Command]
name = "EX百四式・鵺討ち"
command = ~F, D, DF, x+y

[Command]
name = "百四式・鵺討ち"
command = ~F, D, DF, y

[Command]
name = "百四式・鵺討ち"
command = ~F, D, DF, x


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "ふっ飛ばし"
command = c
time = 1

[Command]
name = "ふっ飛ばし"
command = y+b
time = 1


[Command]
name = "回避"
command = x+a
time = 1

[Command]
name = "回避"
command = z
time = 1


[Command]
name = "HDモード"
command = y+a
time = 1


[Command]
name = "holdy"
command = /$y
time = 1



;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1


[Command]
name = "デバッグ用コマンド"
command = ~D, D, s


;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1



; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;MAXキャンセル禁千弐百拾八式・八咫烏
[State negathibu anngisshu]
type = ChangeState
value = 2500
triggerall = (command = "禁千弐百拾八式・八咫烏") || (var(38) = 60 && var(40) > 0)
triggerall = (power >= 3000 && var(20) >= 1000) || (power >= 2000 && var(21) > 0)
trigger1 = stateno = 2010 && animelem = 64,>0 && animelem = 69,<0
trigger2 = stateno = 2060 && animelem = 94,>0 && animelem = 99,<0

;---------------------------------------------------------------------------
;禁千弐百拾八式・八咫烏
[State negathibu anngisshu]
type = ChangeState
value = 2500
triggerall = (command = "禁千弐百拾八式・八咫烏") || (var(38) = 60 && var(40) > 0)
triggerall = statetype != A
triggerall = (power >= 3000 && var(20) >= 1000) || (power >= 2000 && var(21) > 0)
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;HDキャンセル
trigger14= stateno = 1000 && movecontact
trigger14= var(21) > 0
trigger15= stateno = 1050 && movecontact
trigger15= var(21) > 0
trigger16= stateno = 1100 && movecontact
trigger16= var(21) > 0
trigger17= stateno = 1150 && movecontact
trigger17= var(21) > 0
trigger18= stateno = 1210 && movecontact
trigger18= var(21) > 0
trigger19= stateno = 1260 && movecontact
trigger19= var(21) > 0

;HD通常技無条件キャンセル
trigger20= stateno = [200,499]
trigger20= movecontact
trigger20= var(21) > 0


;---------------------------------------------------------------------------
;EX禁千弐百拾壱式・八稚女
[State negathibu anngisshu]
type = ChangeState
value = 2050
triggerall = (command = "EX禁千弐百拾壱式・八稚女") || (var(38) = 55 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 2000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;スーパーキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0

;---------------------------------------------------------------------------
;禁千弐百拾壱式・八稚女
[State negathibu anngisshu]
type = ChangeState
value = 2000
triggerall = (command = "禁千弐百拾壱式・八稚女") || (var(38) = 50 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;スーパーキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0


;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;EX弐百参式・槌椿
[State negathibu anngisshu]
type = ChangeState
value = 1350
triggerall = (command = "EX弐百参式・槌椿") || (var(38) = 45 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0

;---------------------------------------------------------------------------
;弐百参式・槌椿
[State negathibu anngisshu]
type = ChangeState
value = 1300
triggerall = (command = "弐百参式・槌椿") || (var(38) = 40 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0



;---------------------------------------------------------------------------
;EX百弐拾九式・明烏
[State negathibu anngisshu]
type = ChangeState
value = 1250
triggerall = (command = "EX百弐拾九式・明烏") || (var(38) = 35 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 121000 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 126000 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 126000 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0

;---------------------------------------------------------------------------
;百弐拾九式・明烏
[State negathibu anngisshu]
type = ChangeState
value = 1200
triggerall = (command = "百弐拾九式・明烏") || (var(38) = 30 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 121000 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 126000 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 121000 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0

;---------------------------------------------------------------------------
;EX四百壱式・衝月
[State negathibu anngisshu]
type = ChangeState
value = 1150
triggerall = (command = "EX四百壱式・衝月") || (var(38) = 25 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 110000 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 115000 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 115000 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0

;---------------------------------------------------------------------------
;四百壱式・衝月
[State negathibu anngisshu]
type = ChangeState
value = 1100
triggerall = (command = "四百壱式・衝月") || (var(38) = 20 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 1000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 1050 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 110000 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 110000 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 115000 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0



;---------------------------------------------------------------------------
;EX百四式・鵺討ち
[State negathibu anngisshu]
type = ChangeState
value = 1050
triggerall = (command = "EX百四式・鵺討ち") || (var(38) = 15 && var(40) > 0)
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 100000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 105000 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 1000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 105000 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0

;---------------------------------------------------------------------------
;百四式・鵺討ち
[State negathibu anngisshu]
type = ChangeState
value = 1000
triggerall = (command = "百四式・鵺討ち") || (var(38) = 10 && var(40) > 0)
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && animelem = 5,>=0
trigger10= stateno = 250 && movecontact
trigger11= stateno = 251 && movecontact
trigger12= stateno = 261 && movecontact
trigger13= stateno = 290 && animelem = 7,>=0

;ドライブキャンセル
trigger14= stateno = 100000 && movehit
trigger14= var(20) >= 500
trigger14= var(21) = 0
trigger15= stateno = 105000 && movehit
trigger15= var(20) >= 500
trigger15= var(21) = 0
trigger16= stateno = 1100 && movehit
trigger16= var(20) >= 500
trigger16= var(21) = 0
trigger17= stateno = 1150 && movehit
trigger17= var(20) >= 500
trigger17= var(21) = 0
trigger18= stateno = 1210 && movehit
trigger18= var(20) >= 500
trigger18= var(21) = 0
trigger19= stateno = 1260 && movehit
trigger19= var(20) >= 500
trigger19= var(21) = 0

;HDキャンセル
trigger20= stateno = 100000 && movecontact
trigger20= var(21) > 0
trigger21= stateno = 1050 && movecontact
trigger21= var(21) > 0
trigger22= stateno = 1100 && movecontact
trigger22= var(21) > 0
trigger23= stateno = 1150 && movecontact
trigger23= var(21) > 0
trigger24= stateno = 1210 && movecontact
trigger24= var(21) > 0
trigger25= stateno = 1260 && movecontact
trigger25= var(21) > 0

;HD通常技無条件キャンセル
trigger26= stateno = [200,499]
trigger26= movecontact
trigger26= var(21) > 0


;===========================================================================
;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
;Run Fwd
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl


;---------------------------------------------------------------------------
;ガーキャンふっ飛ばし攻撃
[State ga-kyannhuttobasikougeki]
type = ChangeState
value = 299
triggerall = command = "ふっ飛ばし"
triggerall = power >= 1000
trigger1 = stateno = 150
trigger2 = stateno = 151


;---------------------------------------------------------------------------
;空中ふっ飛ばし攻撃
[State kuuchuuhuttobasikougeki]
type = ChangeState
value = 690
triggerall = command = "ふっ飛ばし"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;ふっ飛ばし攻撃
[State huttobasikougeki]
type = ChangeState
value = 290
triggerall = command = "ふっ飛ばし"
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ガーキャンかわし移動・後
[State ga-kyannkawasiidou usiro]
type = ChangeState
value = 701
triggerall = command = "回避"
triggerall = command = "holdback"
triggerall = power >= 1000
trigger1 = stateno = 150
trigger2 = stateno = 151

;---------------------------------------------------------------------------
;ガーキャンかわし移動・前
[State ga-kyannkawasiidou mae]
type = ChangeState
value = 700
triggerall = command = "回避"
triggerall = power >= 1000
trigger1 = stateno = 150
trigger2 = stateno = 151

;---------------------------------------------------------------------------
;かわし移動・後
[State kawasiidou usiro]
type = ChangeState
value = 701
triggerall = command = "回避"
triggerall = command = "holdback"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;かわし移動・前
[State kawasiidou mae]
type = ChangeState
value = 700
triggerall = command = "回避"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ダウン回避
[State daunkaihi]
type = ChangeState
value = 702
triggerall = var(9) >= 1
triggerall = alive
triggerall = pos y >= 0
trigger1 = stateno = 5050
trigger2 = stateno = 5071
trigger3 = stateno = 5100


;---------------------------------------------------------------------------
;HDモード発動
[State huttobasikougeki]
type = ChangeState
value = 900
triggerall = command = "HDモード"
triggerall = statetype != A
triggerall = var(20) >= 1000
trigger1 = ctrl

;---------------------------------------------------------------------------
;HDモード発動・空中
[State huttobasikougeki]
type = ChangeState
value = 901
triggerall = command = "HDモード"
triggerall = statetype = A
triggerall = var(20) >= 1000
trigger1 = stateno = 50

;---------------------------------------------------------------------------
;HDモード発動・キャンセル
[State huttobasikougeki]
type = ChangeState
value = 902
triggerall = command = "HDモード"
triggerall = statetype != A
triggerall = var(20) >= 1000
triggerall = stateno = [200,499]
trigger1 = movecontact


;---------------------------------------------------------------------------
;逆剥ぎ
[State deddo fo-ru]
type = ChangeState
value = 800
triggerall = command = "y" || command = "b"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
triggerall = stateno != 100
trigger1 = p2bodydist X < 5
trigger1 = p2statetype != A
trigger1 = p2movetype != H

;===========================================================================
;---------------------------------------------------------------------------
;外式・夢弾
[State tachijakupanchi]
type = ChangeState
value = 250
triggerall = command = "x"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = stateno = 235 && movecontact
trigger5 = stateno = 210 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = stateno = 245 && movecontact
trigger8 = stateno = 400 && movecontact
trigger9 = stateno = 410 && movecontact


;---------------------------------------------------------------------------
;外式・杭
[State tachijakupanchi]
type = ChangeState
value = 261
triggerall = command = "y"
triggerall = command = "holdfwd"
triggerall = command = "holddown"
trigger1 = stateno = 200 && movecontact
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 235 && movecontact
trigger4 = stateno = 210 && movecontact
trigger5 = stateno = 215 && movecontact
trigger6 = stateno = 245 && movecontact
trigger7 = stateno = 400 && movecontact
trigger8 = stateno = 410 && movecontact

;---------------------------------------------------------------------------
;外式・杭
[State tachijakupanchi]
type = ChangeState
value = 260
triggerall = command = "y"
triggerall = command = "holdfwd"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl


;---------------------------------------------------------------------------
;立ち弱パンチ
[State tachijakupanchi]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = P2dist X <=55 || p2bodydist x <= 10
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 5,>=0
trigger3 = stateno = 205 && animelem = 4,>=0
trigger4 = stateno = 400 && animelem = 4,>=0
trigger5 = stateno = 430 && animelem = 4,>0

;---------------------------------------------------------------------------
;立ち弱パンチ
[State tachijakupanchi]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 5,>=0
trigger3 = stateno = 205 && animelem = 4,>=0
trigger4 = stateno = 400 && animelem = 4,>=0
trigger5 = stateno = 430 && animelem = 4,>0

;---------------------------------------------------------------------------
;近距離立ち強パンチ
[State tachikyoupanchi]
type = ChangeState
value = 215
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = P2dist X <=55 || p2bodydist x <= 10
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;遠距離立ち強パンチ
[State tachikyoupanchi]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;立ち弱キック
[State tachijakukikku]
type = ChangeState
value = 235
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = P2dist X <=55 || p2bodydist x <= 10
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;立ち弱キック
[State tachijakukikku]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;近距離立ち強キック
[State kinnkyoritachikyoukikku]
type = ChangeState
value = 245
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = P2dist X <=55 || p2bodydist x <= 10
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;遠距離立ち強キック
[State ennkyoritachikyoukikku]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;挑発
[State chouhatu]
type = ChangeState
value = 199
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;しゃがみ弱パンチ
[State tachijakupanchi]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 5,>=0
trigger3 = stateno = 205 && animelem = 4,>=0
trigger4 = stateno = 400 && animelem = 4,>=0
trigger5 = stateno = 430 && animelem = 4,>0

;---------------------------------------------------------------------------
;しゃがみ強パンチ
[State tachijakupanchi]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;しゃがみ弱キック
[State shagamijakukikku]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelem = 5,>=0
trigger3 = stateno = 205 && animelem = 4,>=0
trigger4 = stateno = 400 && animelem = 4,>=0
trigger5 = stateno = 430 && animelem = 5,>0

;---------------------------------------------------------------------------
;しゃがみ強キック
[State shagamikyoukikku]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl


;---------------------------------------------------------------------------
;外式・百合折り
[State -1, Jump Strong Kick]
type = ChangeState
value = 650
triggerall = p2dist x >= 0
triggerall = command = "a"
triggerall = command = "holdback"
triggerall = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 105

;---------------------------------------------------------------------------
;外式・百合折り
[State -1, Jump Strong Kick]
type = ChangeState
value = 650
triggerall = p2dist x < 0
triggerall = command = "a"
triggerall = command = "holdfwd"
triggerall = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 105

;---------------------------------------------------------------------------
;空中弱パンチ
[State kuuchuujakupanchi]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;空中強パンチ
[State kuuchuukyoupanchi]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Jump Strong Kick
;空中強キック
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = stateno = 50
trigger2 = stateno = 901
trigger2 = ctrl = 1
